
* {
    box-sizing: border-box;
}

body {
         margin: 0px;
         font-size: 1rem;
}

/* Dropdown Button Layout */
.dropbtn {
         background-color: #262626;
         border: none;
         color: #FFFFFF;
         cursor: pointer;
         font-size: 1.25rem;
         font-weight: bold;
         min-width: 200px;
         margin-top: 20px;
         padding: 12px;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
         position: relative;
         display: inline-block;
         text-align: center;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
         background: #262626;
         box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
         display: none;
         font-size: 1.25rem;
         font-weight: bold;
         min-width: 200px;
         position: absolute;
         z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
         color: #FFFFFF;
         display: block;
         padding: 6px 8px;
         text-decoration: none;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {
         background: #337ab7;
         color: #000000;
         font-weight: bold;
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
         display: block;
}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {
         background-color: #262626;
}

.foot {
         background: #FFFFFF;
         border-top: 1px solid #dbdbdb;
         clear: both;
         color: #262626;
         float: left;
         font-weight: normal;
         padding-bottom: 20px;
         padding-left: 20px;
         padding-right: 20px;
         padding-top: 20px;
         text-align: center;
         width: 100%;
}
.foot a {
         color: #262626;
         text-decoration: none;

}
.foot a:visited {
         color: #262626;
         text-decoration: none;
}
.foot a:hover {
         color: #000000;
         text-decoration: underline;
}
.foot a:active {
         color: #000000;
         text-decoration: underline;
}

h1 {
         color: #262626;
         font-size: 1.75rem;
         font-weight: normal;
         line-height: 160%;
}

h2 {
         color: #262626;
         font-size: 1.5rem;
         font-weight: normal;
         line-height: 150%;
}

h3 {
         color: #262626;
         font-size: 1.25rem;
         font-weight: normal;
         line-height: 125%;
}

.head {
         background: #FFFFFF;
         clear: both;
         color: #262626;
         float: left;
         font-weight: normal;
         text-align: center;
         padding-top: 10px;
         width: 100%
}

.head a {
         color: #262626;
         text-decoration: none;
}

html {
         font-family: "Open Sans";
         font-size:100%;
}

.iframe {
         border-radius: 7px;
         box-shadow: 0 4px 8px 0 #262626, 0 6px 20px 0 #262626;
}

.img {
         border-radius: 7px;
         box-shadow: 0 4px 8px 0 #262626, 0 6px 20px 0 #262626;
         height: auto;
         margin: 5px;
         max-width: 85%;
         min-width: 50px;
         width: 100%;
}

.img2 {
         border-radius: 7px;
         box-shadow: 0 4px 8px 0 #262626, 0 6px 20px 0 #262626;
         height: auto;
         margin: 5px;
         max-width: 300px;
         min-width: 150px;
         width: 100%;
}

.img3 {
         border-radius: 7px;
         box-shadow: 0 4px 8px 0 #262626, 0 6px 20px 0 #262626;
         height: auto;
         margin: 5px;
         max-width: 75%;
         min-width: 150px;
         width: 100%;
}

.logo {
         height: auto;
         max-width: 300px;
}

.nav {
         background: #ffffff;
         border-bottom: 1px solid #dbdbdb;
         clear: both;
         float: left;
         padding-bottom: 10px;
         text-align: center;
         width: 100%;
}

.main {
         background: #fafafa;
         clear: both;
         color: #262626;
         float: left;
         font-weight: normal;
         line-height: 175%;
         margin: auto;
         padding-left: 10%;
         padding-right: 10%;
         text-align: left;
         text-transform: none;
         width: 100%;
}

.main a {
         color: #262626;
         text-decoration: none;
}

.main a:hover {
         color: #000000;
         text-decoration: underline;
}

.row::after {
         content: "";
         clear: both;
         display: table;
}

.video-container-wrapper {
         max-width: 100%;
         width: 800px;
         left: 0;
         right:0;
         margin:auto;
}

.video-container {
         border-radius: 7px;
         box-shadow: 0 4px 8px 0 #262626, 0 6px 20px 0 #262626;
         position: relative;
         padding-bottom: 56.25%;
         padding-top: 30px; height: 0; overflow: hidden;
}

.video-container iframe,
.video-container object,
.video-container video,
.video-container embed {
         background: #000000;
         position: absolute;
         top: 0;
         left: 0;
         width: 100%;
         height: 100%;
}

/* Das Overlay, das Ã¼ber dem Platzhalter liegt */
.consent-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8); /* Dunkler Hintergrund mit Transparenz */
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: #fff;
    padding: 20px;
    box-sizing: border-box;
    transition: background 0.3s;
}

.video-container:hover .consent-overlay {
    background: rgba(0, 0, 0, 0.7);
}

.consent-content h3 {
    margin-top: 0;
    margin-bottom: 10px;
}

.consent-content p {
    font-size: 0.9rem;
    margin-bottom: 20px;
    line-height: 1.4;
}

.consent-content a {
    color: #4da6ff;
    text-decoration: underline;
}

/* Der Button */
.consent-button {
    background-color: #ff0000; /* YouTube Rot */
    color: #ffffff;
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    border-radius: 4px;
    cursor: pointer;
    font-weight: bold;
}

.consent-button:hover {
    background-color: #ff0000;
    color: #000000
}

/* iframe Styling (wird erst nach Klick sichtbar) */
.video-container iframe {
    width: 100%;
    height: 100%;
    border: none;
}

@media only screen and (min-width: 768px) {
    /* For desktop: */
         .dropbtn {font-size: 1.25rem; min-width: 225px;}
         .dropdown-content {font-size: 1.25rem; min-width: 225px;}
         h1 {font-size: 2.0rem;}
         h2 {font-size: 1.75rem;}
         .img {width: 100%; max-width: 300px; min-width: 150px; height: auto;}
         .img2 {width: 100%; max-width: 300px; min-width: 200px; height: auto;}
         .img3 {width: 100%; max-width: 400px; min-width: 175px; height: auto;}
         .main {padding-left: 15%; padding-right: 15%;}
}

@media only screen and (min-width: 1080px) {
    /* For desktop: */
         .dropbtn {font-size: 1.5rem; min-width: 225px;}
         .dropdown-content {font-size: 1.5rem; min-width: 225px;}
         h1 {font-size: 2.5rem;}
         h2 {font-size: 2.0rem;}
         .img {width: 100%; max-width: 350px; min-width: 200px; height: auto;}
         .img2 {width: 100%; max-width: 300px; min-width: 250px; height: auto;}
         .img3 {width: 100%; max-width: 300px; min-width: 450px; height: auto;}
         .main {padding-left: 25%; padding-right: 25%;}
}